pam.setcred.respect.sufficient

This configuration parameter overrides an anomaly in the operation of the PAM interface on some platforms that denies access to a user who has entered the correct password. The default setting depends upon the platform as follows:

  • For HPUX and Mac OSX platforms the default is true
  • For all other platforms the default is false.

Note:   Some Solaris 2.6 and Solaris 8 users have reported getting the error message PAM_AUTH_ERR after entering the correct password. If this occurs, set pam.setcred.respect.sufficient: true.